/**
 *     <h2>loading控件</h2>
 *  @param {object} [option] 
 *     @param [option.title] {string}  标题名称? 默认: "laoding组件" 
 *     @param [option.progress] {number} 完成度  默认:Math.random() 
 *     @param [option.background] {string}  背景颜色, 默认:rgb(33,48,76) 
 *     @param [option.width] {string}  控件宽度, 默认:100% 
 *     @param [option.height] {string}  控件高度, 默认:100% 
 * @example
 * 
 *   示例1:
 *   
      <component id="comploading" name="pages/components/loading/index" progress="0.5"></component>

 *   示例2:

      <component id="comploading" name="pages/components/loading/index" delay="true"></component>

      loader.delay({
          id:"#tab1",
          param:{
            progress:0.5
          }
      });

 *
 */

/**
 * 加载
 * 默认模块名: loading
 * @return {[object]}  [ 返回一个对象 ]
 */
loader.define(async function (requires, exports, module, global) {
  // 合并接收默认参数
  let props = $.extend(true, {}, module.props);

  // 初始化数据行为存储
  var bs = bui.store({
    el: `#${module.id}`,
    scope: "loading",
    data: {},
    methods: {},
    watch: {},
    computed: {},

    mounted: function () {},
  });

  return bs;
});
