/**
 *     <h2>loading控件</h2>
 *  @param {object} [option] 
 *     @param [option.title] {string}  标题名称? 默认: "laoding组件" 
 *     @param [option.progress] {number} 完成度  默认:Math.random() 
 *     @param [option.background] {string}  背景颜色, 默认:rgb(33,48,76) 
 *     @param [option.width] {string}  控件宽度, 默认:100% 
 *     @param [option.height] {string}  控件高度, 默认:100% 
 * @example
 * 
 *   示例1:
 *   
      <component id="comploading" name="pages/components/loading/index" progress="0.5"></component>

 *   示例2:

      <component id="comploading" name="pages/components/loading/index" delay="true"></component>

      loader.delay({
          id:"#tab1",
          param:{
            progress:0.5
          }
      });

 *
 */

/**
 * 加载
 * 默认模块名: loading
 * @return {[object]}  [ 返回一个对象 ]
 */
loader.define(async function (requires, exports, module, global) {
  // 合并接收默认参数
  let props = $.extend(
    true,
    {
      title: "laoding组件",
      progress: 0,
      width: "100%",
      height: "100%",
      background: "rgb(33,48,76)",
    },
    module.props
  );
  console.log(props, "传参进来===");

  await loader.importSync("./jquery.min.js");
  await loader.importSync("./gauge.js");

  // 创建成功以后执行回调
  let el = $(`#${module.id} .loading`);
  // 初始化数据行为存储
  var bs = bui.store({
    el: `#${module.id}`,
    scope: "loading",
    data: {
      imageOne: `${module.path}img/1.png`,
      imageTwo: `${module.path}img/2.png`,
    },
    methods: {},
    watch: {},
    computed: {},

    mounted: function () {
      let progress = 0;
      if (props.progress.includes("%")) {
        let number = Number(props.progress.split("%")[0]) / 100;
        progress = parseFloat(number);
      } else if (props.progress > 1) {
        let number = Number(props.progress) / 100;
        progress = parseFloat(number);
      } else {
        progress = props.progress;
      }
      // 数据解析后执行
      el.css({
        width: props.width,
        height: props.height,
      });
      el.lu_word(
        props.title,
        this.imageOne,
        this.imageTwo,
        props.background,
        props.width,
        props.height
      );
      el.setWord(progress,progress);
    },
  });

  return bs;
});
